DevelopersAPIReferenceaccessRequests
DeleteWallet
Deletes the wallet with all its data, for good. Only ask when the person said so in plain words. Only the owner can approve it, by typing the wallet name.
POST
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidapplication/json- body
Stored, waiting for the person to approve
application/json- response
id*stringFormat
uuidwalletId*|Format
uuidaction*stringValue in
"invite""changeRole""removeMember""revokeInvitation""createApiKey""revokeApiKey""deleteWallet"params*||||||memberSnapshot*|nullstatus*stringValue in
"pending""executing""succeeded""failed""rejected"result*|nullerror*|nullapprovalUrl*stringcreatedTime*stringexpiresTime*stringdecidedTime*string|nullcurl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/accessRequests/deleteWallet' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "action": "invite", "params": { "action": "invite", "email": "user@example.com", "role": "editor", "permissions": [ "assets:read" ] }, "memberSnapshot": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "role": "owner", "permissions": [ "assets:read" ] }, "status": "pending", "result": { "invitationId": "550a4884-8473-4f2e-a6cf-551c16767d59", "apiKeyId": "37ba0474-c0bb-4910-bfb5-d6cebb614366" }, "error": { "code": "expired", "message": "string" }, "approvalUrl": "string", "createdTime": "string", "expiresTime": "string", "decidedTime": "string"}